Bug 999441 - No message displayed with misconfiguration of ifcfg-eth0 file
No message displayed with misconfiguration of ifcfg-eth0 file
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.4
All Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 06:32 EDT by Grzegorz Dzień
Modified: 2016-11-25 08:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 10:49:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grzegorz Dzień 2013-08-21 06:32:11 EDT
Description of problem:
If there is IPADRR instead of IPADDR variable, everything is reported as completed properly while in fact interface does not get configured.

Version-Release number of selected component (if applicable):
initscripts-9.03.38-1.el6_4.1.x86_64


How reproducible:
Extremely easy

Steps to Reproduce:
1. Modify ifcfg-ethX file to contain typo in IPADDR variable name.
2. ifdown/ifup interface

Actual results:
[root@el6vm ~]# ifdown eth1
[root@el6vm ~]# ifup eth1
[root@el6vm ~]# ifconfig eth1
eth1      Link encap:Ethernet  HWaddr 52:54:00:AF:FE:27  
          UP BROADCAST RUNNING SLAVE MULTICAST  MTU:1500  Metric:1
          RX packets:3554 errors:0 dropped:0 overruns:0 frame:0
          TX packets:80 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:173528 (169.4 KiB)  TX bytes:11318 (11.0 KiB)
          Interrupt:11 Base address:0xc000 

Expected results:
Warning/Error message that no IP is configured should be displayed.

Additional info:
Comment 2 Lukáš Nykrýn 2013-08-21 07:11:26 EDT
Yes this behavior is annoying, but I can't imagine any way how to improve it. There is no parser for these files, they are just sourced by the ifup scripts, so we can't recognize syntax error in configuration. On the other side there are some setups where you don't use dynamic configuration, but you also don't want to assign a IP address (there is a comment directly in the code "# enable device without IP, useful for e.g. PPPoE").
Comment 3 RHEL Product and Program Management 2013-10-13 22:37:41 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.